/*
 * Copyright 2011 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.unitesk.requality.eclipse.handlers;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.PlatformUI;

import com.unitesk.requality.eclipse.editors.browser.ReqDocBrowser;
import com.unitesk.requality.eclipse.editors.browser.ReqMarker;
import com.unitesk.requality.eclipse.ui.dialogs.FindDialog;

public class FindReplaceHandler extends AbstractHandler {

    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {
        ReqDocBrowser reqBrowser = null;
        IWorkbenchPart part = PlatformUI.getWorkbench()
                .getActiveWorkbenchWindow().getActivePage().getActivePart();
        if (!(part instanceof ReqMarker))
            return null;
        reqBrowser = ((ReqMarker) part).getBrowser();
        FindDialog dialog = new FindDialog(PlatformUI.getWorkbench()
                .getActiveWorkbenchWindow().getShell(), reqBrowser);
        dialog.setBlockOnOpen(false);
        dialog.open();
//        if (dialog.open() == Window.OK) {
//            SearchString = dialog.getValue();
//            if (SearchString == null || SearchString.isEmpty())
//                return null;
//            reqBrowser.findText(SearchString, false, false, false);
//            reqBrowser.setFocus();
//        }
        return null;
    }

}
